textures/ig_icetrap_a3/sky
{
	qer_editorimage textures/ig_icetrap_a3/sky_arc_masked.tga
	
	q3map_sunExt 1 1 1 50 -50 62 2 1
	
	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 40 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/ig_icetrap_a3/env/sky 512 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/ig_icetrap_a3/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/ig_icetrap_a3/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}


textures/ig_icetrap_a3/ladder
{
  qer_trans .75
  qer_editorimage textures/ig_icetrap_a3/ladder.jpg
  surfaceparm ladder
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm metalsteps
}

textures/ig_icetrap_a3/coolwater
{
	qer_editorimage textures/ig_icetrap_a3/water.jpg
	qer_trans .5
	q3map_lightimage textures/ig_icetrap_a3/water.jpg
	q3map_globaltexture

	surfaceparm nobuild
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
//	surfaceparm fog
//	fogparms ( 0.01 0.01 0.01 ) 1024

	cull disable
	deformVertexes wave 256 sin .25 .25 0 .2	
	{ 
		map textures/ig_icetrap_a3/water.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/ig_icetrap_a3/water.jpg
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/ig_icetrap_a3/water_nodraw
{
	qer_editorimage textures/ig_icetrap_a3/water.jpg
	qer_trans .4
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
}

textures/ig_icetrap_a3/glass
{
  qer_editorimage textures/ig_icetrap_a3/glass.jpg
  surfaceparm nomarks
  surfaceparm trans
  {
    map textures/ig_icetrap_a3/glass.jpg
    blendfunc add
    rgbGen const ( 0.1 0.1 0.1 )
  }
  {
    map $lightmap 
    blendfunc gl_dst_color gl_src_alpha
    rgbGen identity
    tcGen lightmap 
  }
}

textures/ig_icetrap_a3/wall-rust
{
	qer_editorimage textures/ig_icetrap_a3/metal06.jpg
	surfaceparm metalsteps
	surfaceparm playerclip
	surfaceparm alphashadow
	cull disable
	{
		map textures/ig_icetrap_a3/metal06.jpg
		depthWrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthFunc equal
	}
}

textures/ig_icetrap_a3/fence
{
  qer_editorimage textures/ig_icetrap_a3/fence04.tga
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm trans   
  surfaceparm nomarks
  surfaceparm nonsolid
  cull none
        nopicmip
  {
    map textures/ig_icetrap_a3/fence04.tga
    tcMod scale 3 3
    blendFunc GL_ONE GL_ZERO
    alphaFunc GE128
    depthWrite
    rgbGen identity
  }
  {
    map $lightmap
    rgbGen identity
    blendFunc GL_DST_COLOR GL_ZERO
    depthFunc equal
  }
}

textures/ig_icetrap_a3/rocks-phong
{
// 	q3map_nonplanar
 	q3map_shadeangle 80
 	qer_editorimage textures/ig_icetrap_a3/rock.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/ig_icetrap_a3/rock.tga
 		blendFunc filter
 	}
}

textures/ig_icetrap_a3/snow-phong
{
// 	q3map_nonplanar
 	q3map_shadeangle 135
 	qer_editorimage textures/ig_icetrap_a3/snow.tga
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/ig_icetrap_a3/snow.tga
 		blendFunc filter
 	}
}


textures/ig_icetrap_a3/light04s25K
{
  qer_editorimage textures/ig_icetrap_a3/light04.jpg
  surfaceparm nomarks
  surfaceparm nonsolid
  q3map_surfacelight 25000
  {
    map textures/ig_icetrap_a3/light04.jpg
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/ig_icetrap_a3/light04p.jpg
    blendfunc add
  }
}

textures/ig_icetrap_a3/light04s50K
{
  qer_editorimage textures/ig_icetrap_a3/light04.jpg
  surfaceparm nomarks
  surfaceparm nonsolid
  q3map_surfacelight 50000
  {
    map textures/ig_icetrap_a3/light04.jpg
  }
  {
    map $lightmap 
    blendfunc filter
    tcGen lightmap 
  }
  {
    map textures/ig_icetrap_a3/light04p.jpg
    blendfunc add
  }
}

textures/ig_icetrap_a3/pipe02-noclip
{
	surfaceparm alphashadow
	surfaceparm nonsolid
 	qer_editorimage textures/ig_icetrap_a3/pipes02.jpg
 	{
 		map $lightmap
 		rgbGen identity
 	}
 	{
 		map textures/ig_icetrap_a3/pipes02.jpg
 		blendFunc filter
 	}
}
